/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 * "Portions Copyright (c) 2002-2003 LinuxMagic Inc. All Rights Reserved.
 *
 * This file contains Original Code and/or Modifications of Original Code as
 * defined in and that are subject to the Free Source Code License Version
 * 1.0 (the 'License'). You may not use this file except in compliance with
 * the License. Please obtain a copy of the License at:
 *
 * http://www.linuxmagic.com/opensource/licensing/FSCL.txt
 *
 * and read it before using this file.
 *
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND LINUXMAGIC HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see
 * the License for the specific language governing rights and limitations
 * under the License."
 *
 * Please read the terms of this license carefully. By using or downloading
 * this software or file, you are accepting and agreeing to the terms of this
 * license with LinuxMagic Inc. If you are agreeing to this license on behalf
 * of a company, you represent that you are authorized to bind the company to
 * such a license. If you do not meet this criterion or you do not agree to
 * any of the terms of this license, do NOT download, distribute, use or alter
 * this software or file in any way.
 *
 * Author(s): Burton Samograd <burton@wizard.ca>
 *
 * CVS Id: $Id: queries.h,v 1.1.1.1 2004/07/30 22:49:45 josh Exp $
 *
 * DO NOT MODIFY WITHOUT CONSULTING THE LICENSE
 */


#ifndef QUERIES_H
#define QUERIES_H

/* 
 * for use in snprintf with 3 string parameters (user, domain, domain) 
 * returns 1 integer row.
 *
 */
#define QUERY_GET_EMAIL_ID   "SELECT id FROM email_addresses e, (SELECT actual_name('%s', '%s', (SELECT id FROM resources WHERE resource_name = 'Email')) AS name) d WHERE e.email_name=d.name AND e.enable_spam_check = 'Y' AND domain='%s' LIMIT 1"
#define QUERY_GET_SPAM_RULES "SELECT id, key,value FROM vw_spam_rules_quick WHERE id = %d OR id = 0"

/* ALTER TABLE spam_log ADD COLUMN score integer;
   ALTER TABLE spam_log ADD COLUMN details text;
   ALTER TABLE spam_log ADD COLUMN global varchar(1);
 */

#define QUERY_INSERT_SPAM_LOG "INSERT INTO spam_log (email_name, email_domain, from_addr, subject, reason, details, score, datetime, ip, global) VALUES ('%s', '%s', '%s', %c%s%c, '%s', '%s', %d, to_timestamp('%s',  'YYYY-MM-DD HH24:MI:SS'), '%s', '%s')"
// #define QUERY_INSERT_LOCAL_SPAM_LOG "INSERT INTO spam_log (email_name, email_domain, from_addr, subject, reason, details, score, datetime, ip, global) VALUES ('%s', '%s', '%s', '%s', '%s', '%s', %d, to_timestamp('%s',  'YYYY-MM-DD HH24:MI:SS'), '%s', '%s')"
// #define QUERY_INSERT_SMTP_SPAM_LOG "INSERT INTO spam_log (email_name, email_domain, from_addr, reason, details, score, datetime, ip, global) VALUES ('%s', '%s', '%s', '%s', '%s', %d, to_timestamp('%s',  'YYYY-MM-DD HH24:MI:SS'), '%s', '%s')"

#endif
