/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 * "Portions Copyright (c) 2002-2003 LinuxMagic Inc. All Rights Reserved.
 *
 * This file contains Original Code and/or Modifications of Original Code as
 * defined in and that are subject to the Free Source Code License Version
 * 1.0 (the 'License'). You may not use this file except in compliance with
 * the License. Please obtain a copy of the License at:
 *
 * http://www.linuxmagic.com/opensource/licensing/FSCL.txt
 *
 * and read it before using this file.
 *
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND LINUXMAGIC HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see
 * the License for the specific language governing rights and limitations
 * under the License."
 *
 * Please read the terms of this license carefully. By using or downloading
 * this software or file, you are accepting and agreeing to the terms of this
 * license with LinuxMagic Inc. If you are agreeing to this license on behalf
 * of a company, you represent that you are authorized to bind the company to
 * such a license. If you do not meet this criterion or you do not agree to
 * any of the terms of this license, do NOT download, distribute, use or alter
 * this software or file in any way.
 *
 * Author(s): Burton Samograd <burton@wizard.ca>
 *
 * CVS Id: $Id: test.c,v 1.1.1.1 2004/07/30 22:49:45 josh Exp $
 *
 * DO NOT MODIFY WITHOUT CONSULTING THE LICENSE
 */

#define USE_LM_CONFIG_DATABASE
#define _LMDEBUG
#include <stdio.h>
#include <stdlib.h>
#include <liblm.h>

/* globals */
PGconn *db;
static PGresult *res = NULL;

int main()
{
    lm_string_t dbtable = NULL;
    lm_string_t dbkeycol = NULL;
    lm_string_t dbselectcol = NULL;
    lm_string_t dbwhere = NULL;
    lm_string_t retstring = NULL;
    lm_string_t key = NULL;

    db = PQconnectdb
        ("dbname=demo_acl host=192.168.1.10 port=5432 user=demo_user password=demo_user");
    if (db == NULL || PQstatus(db) == CONNECTION_BAD) {
        printf("Database connection failed\n");
        exit(1);
    }

    LM_STRING_NEW(dbtable, "vw_spam_rules");
    LM_STRING_NEW(dbkeycol, "key");
    LM_STRING_NEW(dbselectcol, "value");
    LM_STRING_NEW(dbwhere, "and name='jtest' and domain='wizard.ca'");
    LM_STRING_NEW(key, "from_whitelist_entry");

    if (LM_CONFIG_DB_SET_PARAM(db, dbtable, dbselectcol, dbkeycol, dbwhere)) {
        printf("Failed to set db params\n");
        exit(1);
    }

    LM_CONFIG_READ_STRING(key, retstring, dbselectcol);
    printf("result: [%s]\n", LM_STRING_BUFFER(retstring));

    exit(0);
}

PGresult *doquery(char *query)
{
    LM_WARN(db == NULL);

    if (res != NULL)
        PQclear(res);

    res = PQexec(db, query);

    if ((res == NULL || PQresultStatus(res) == PGRES_BAD_RESPONSE
         || PQresultStatus(res) == PGRES_NONFATAL_ERROR
         || PQresultStatus(res) == PGRES_FATAL_ERROR)) {
        if (res != NULL)
            fprintf(stderr, "query error:  %s\n", PQcmdStatus(res));
        if (db != NULL)
            fprintf(stderr, "connection error:  %s\n", PQerrorMessage(db));
    }
    return res;
}
